var Service = require('Service');
var utils = require('utils');
var util = require('util');

/**
 * 修改
 */
var Update = function() { 
  Service.call(this);
};

util.inherits(Update, Service);

module.exports = Update;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
Update.prototype.process =  function(req, res) {
  if(!req.id) {
    this.onLogicError(1, '请提供服务ID！');
    return;
  }
  var bgService = server.bgServices[req.id];
  if(!bgService) {
    this.onLogicError(5, '请提供正确的服务ID！');
    return;
  }
  if(!req.name) {
    this.onLogicError(2, '请提供服务名称！');
    return;
  }
  bgService.name = req.name;

  this.end(res);
};